/////////////以下为设置项////////////////////////////////
var w='550';//播放器宽度
var h='400';//播放器高度
var unid = "7651";
var play_urllist;
//------------播放器设置START-----------------------
play_urllist='youku=';
play_urllist=play_urllist+'&iask=';
play_urllist=play_urllist+'&tudou=';
play_urllist=play_urllist+'&56=';
play_urllist=play_urllist+'&ouou=';
play_urllist=play_urllist+'&tvix=';
play_urllist=play_urllist+'&6rooms=';
//------------播放器设置END-----------------------
play_urllist=escape(play_urllist);

/////////////以上为设置项////////////////////////////////
var w3c = (document.getElementById) ? true : false;
	var agt = navigator.userAgent.toLowerCase();
	var ie = ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1) && (agt.indexOf("omniweb") == -1));
	var ie5 = (w3c && ie) ? true : false;
	var ns6 = (w3c && (navigator.appName == "Netscape")) ? true : false;
	var op8 = (navigator.userAgent.toLowerCase().indexOf("opera") == -1) ? false : true;
   
	function Obj(o){
		return document.getElementById(o) ? document.getElementById(o) : o;
	}
	function GetXYWH(o){
		var nLt = 0;
		var nTp = 0;
		var offsetParent = o;
		while (offsetParent != null && offsetParent != document.body) {
			nLt += offsetParent.offsetLeft;
			nTp += offsetParent.offsetTop;
			if (!ns6) {
				parseInt(offsetParent.currentStyle.borderLeftWidth) > 0 ? nLt += parseInt(offsetParent.currentStyle.borderLeftWidth) : "";
				parseInt(offsetParent.currentStyle.borderTopWidth) > 0 ? nTp += parseInt(offsetParent.currentStyle.borderTopWidth) : "";
			}
			
			offsetParent = offsetParent.offsetParent;
		}
		//if (ie){nLt+=10;nTp+=15;}//定位不精确的时候可以在这里调整nLt左边距nTp上边距
	   return  nTp + "," + nLt ;
	}
if (typeof(play_urllist) == "undefined"){play_urllist=''}
function viewplay(para1,para2){
document.write('<iframe id="cciframe" style="width:0px;height:0px;overflow:hidden;position:absolute;top:0px;left:0px;" frameborder="0" scrolling="no"></iframe>');
window.onresize=function(){document.frames('cciframe').resize();}
para1=para1.replace('&','%26');
document.write('<div id="ccplay" style="width:'+w+'px;height:'+h+'px;"></div>');
var doc =parent.parent.document.getElementById("cciframe");
doc.src="js/uplayer.html?a=&b="+para1+"&c="+para2+"&d="+play_urllist+"&w="+w+"&h="+h+"";
//下面这句增加了一个参数open=1，表示默认打开播放器列表
//doc.src="js/uplayer.html?a=&b="+para1+"&c="+para2+"&d="+play_urllist+"&w="+w+"&h="+h+"&open=1";
doc.style.width=w+"px";
doc.style.height=h+"px";

doc.style.top=GetXYWH(Obj('ccplay')).split(",")[0]+"px";
doc.style.left=GetXYWH(Obj('ccplay')).split(",")[1]+"px";
}
function viewend(){var doc=document.getElementById("cciframe");doc.style.top=GetXYWH(Obj('ccplay')).split(",")[0]+"px";doc.style.left=GetXYWH(Obj('ccplay')).split(",")[1]+"px";}
function killErrors(){return true;}window.onerror = killErrors;